# frozen_string_literal: true

require 'dry-schema'

class DistributedPress
  module V1
    module Schemas
      # Schema for updating a website options.  The domain name should
      # be ignored by the backend.
      class UpdateSite < Dry::Schema::JSON
        define do
          required(:domain).filled(:string)

          required(:protocols).hash do
            optional(:http).filled(:bool)
            optional(:ipfs).filled(:bool)
            optional(:hyper).filled(:bool)
          end
        end
      end
    end
  end
end
